Bug 516808 - cameras cause gnome-keyring problems
cameras cause gnome-keyring problems
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: gnome-keyring (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: fitandfinish
  Show dependency treegraph
 
Reported: 2009-08-11 11:20 EDT by Peter F. Patel-Schneider
Modified: 2015-03-03 17:40 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-07 19:20:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter F. Patel-Schneider 2009-08-11 11:20:47 EDT
Description of problem:

Running the fit-and-finish live ISO from 11 Aug, attaching a camera causes a problem with gnome-keyring

Version-Release number of selected component (if applicable):


How reproducible:

Always

Steps to Reproduce:
1. Run fit-and-finish live system of 11 Aug
2. Plug in a camera
3. Try to start gThumb from dialog
  
Actual results:

Errors from gnome-keyring in /var/log/messages
gThumb doesn't start

Expected results:

No errors
gThumb ready to transfer pictures

Additional info:

/var/log/messages and actions

Insert camera USB cable

Aug 11 14:49:43 localhost kernel: usb 2-2: new full speed USB device using uhci_hcd and address 2
Aug 11 14:49:43 localhost kernel: usb 2-2: New USB device found, idVendor=04a9, idProduct=30b3
Aug 11 14:49:43 localhost kernel: usb 2-2: New USB device strings: Mfr=1, Product=2, SerialNumber=0
Aug 11 14:49:43 localhost kernel: usb 2-2: Product: Canon Digital Camera
Aug 11 14:49:43 localhost kernel: usb 2-2: Manufacturer: Canon Inc.
Aug 11 14:49:43 localhost kernel: usb 2-2: configuration #1 chosen from 1 choice

Camera icon shows up (but sometimes 
       with name Linux Foundation 1.1 root hub)
Launch window for gThumb shows up

Click OK

Aug 11 14:49:56 localhost gnome-keyring-daemon[1822]: mount_removed: assertion `path' failed
Aug 11 14:49:56 localhost gnome-keyring-daemon[1822]: mount_removed: assertion `path' failed

gThumb doesn't startup (presumably because there is no camera filesystem
to work on
Comment 1 Bug Zapper 2009-11-16 06:20:55 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2010-11-04 06:32:45 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.